gtk.gdk.AppLaunchContext
Prev | The gtk.gdk Class Reference | Next

## gtk.gdk.AppLaunchContext

gtk.gdk.AppLaunchContext — Startup notification for applications.

## Synopsis

    class gtk.gdk.AppLaunchContext(gio.AppLaunchContext):
        def set_desktop(desktop)
        def set_display(display)
        def set_icon(icon)
        def set_icon_name(icon_name)
        def set_screen(screen)
        def set_timestamp(timestamp)

## Ancestry

    +-- gio.AppLaunchContext
      +-- gtk.gdk.AppLaunchContext

## Description

The `gtk.gdk.AppLaunchContext` is an implementation of gio.AppLaunchContext that handles launching an application in a graphical context. It provides startup notification and allows to launch applications on a specific screen or workspace.

## Methods

### gtk.gdk.AppLaunchContext.set_display

        def set_display()

`display` : | a `gtk.gdk.Display`.

### Note

This method is available in PyGTK 2.14 and above.

The `set_display`() method sets the display on which applications will be launched when using this context. See also `set_screen`.

### gtk.gdk.AppLaunchContext.set_desktop

        def set_desktop()

`desktop` : | the number of a workspace, or -1

### Note

This method is available in PyGTK 2.14 and above.

The `set_desktop`() method sets the workspace on which applications will be launched when using this context when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints.

When the workspace is not specified or desktop is set to -1, it is up to the window manager to pick one, typically it will be the current workspace.

### gtk.gdk.AppLaunchContext.set_icon

        def set_icon()

`icon` : | a `gio.Icon`, or `None`.

### Note

This method is available in PyGTK 2.14 and above.

The `set_icon`() method sets the icon for applications that are launched with this context. See also `set_icon_name`.

### gtk.gdk.AppLaunchContext.set_icon_name

        def set_icon_name()

`icon_name` : | an icon name, or `None`.

### Note

This method is available in PyGTK 2.14 and above.

The `set_icon_name`() method sets the icon for applications that are launched with this context. The icon_name will be interpreted in the same way as the Icon field in desktop files. See also `set_icon`.

If both icon and icon_name are set, the icon_name takes priority. If neither icon or icon_name is set, the icon is taken from either the file that is passed to launched application or from the `gio.AppInfo` for the launched application itself.

### gtk.gdk.AppLaunchContext.set_timestamp

        def set_timestamp()

`timestamp` : | a timestamp

### Note

This method is available in PyGTK 2.14 and above.

The `set_timestamp`() method sets the timestamp of context. The timestamp should ideally be taken from the event that triggered the launch.

Window managers can use this information to avoid moving the focus to the newly launched application when the user is busy typing in another window. This is also known as 'focus stealing prevention'.

Prev | Up | Next
The gtk.gdk Class Reference | Home | gtk.gdk.Atom